### Method

# Gck Builder add_all

#### Declaration [src]

    void
    gck_builder_add_all (
      GckBuilder* builder,
      GckAttributes* attrs
    )

#### Description [src]

Add all the `attrs` attributes to the builder. The attributes are added uncondititionally whether or not attributes with the same types already exist in the builder.

As an optimization, the attribute memory values are automatically shared between the attributes and the builder.

#### Parameters

`attrs`

  Type: `GckAttributes`

  The attributes to add.

  The data is owned by the caller of the method.